LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

NI 9467 - Error 65640 The firmware on the module is not compatible with this version of the NI RIO software

Solved!
Go to solution

Hello!

 

I have cRIO9063 (CompactRIO 17.5 drivers) with NI-9467 module, trying to test it with standard examples (NI 9467 Getting Started),  receive error 65640 - The firmware on the module is not compatible with this version of the NI RIO software. Please visit ni.com for instructions on how to update the firmware (See attachment). Firmware version is B020B. Some one is familiar with such situation and it's possible to update NI-9467 module firmware?

 

Thank You!

Download All
0 Kudos
Message 1 of 13
(3,722 Views)

What firmware version does your cRIO have? 

You can see that in NI-MAX.

0 Kudos
Message 2 of 13
(3,679 Views)

Dear Dkfire!

 

I try it with 2 cRIO-9063 versions: 3.0.0f0 and 4.0.0f0, in both cases same error...

Also I try launch this example with Real-Time 16.0, also same problem...

0 Kudos
Message 3 of 13
(3,671 Views)

Try to upgrade the cRIO firmware to 5.0.0f0 or higher. 

 

 

0 Kudos
Message 4 of 13
(3,663 Views)

Dear Dkfire!

 

Can You provide a link where I can get higher firmware versions, currently i have cRIO-9063_3.0.1f0.cfg and cRIO-9063_4.0.0.cfg

0 Kudos
Message 5 of 13
(3,660 Views)

You should have 5.0.0f0 with your installation of LabVIEW 2017 and RIO driver 17 

0 Kudos
Message 6 of 13
(3,653 Views)

Dear Dkfire!

 

Thank You, I will try to find it, but its strange - I intall last drives, NICRIO1700.zip and NICRIO1760.zip, DCD-Jan18.zip

May be I miss something - Could You share link or file by mail or someone who have firmware for cRIO9063 v5?

0 Kudos
Message 7 of 13
(3,651 Views)

Moped,

 

I would refer to the following to perform your firmware update:

 

https://knowledge.ni.com/KnowledgeArticleDetails?id=kA00Z000000P7OpSAK

 

Hope this helps!

 

CH
Applications Engineering
National Instruments
http://www.ni.com/en-us/support.html
0 Kudos
Message 8 of 13
(3,639 Views)

Dear Protocoled!

 

Thank You, I saw this link previously, however I don't have newest firmware. I will try to find it.

May be some one can confirm, that for cRIO906x chassis there is firmware v.5. in <Program Files>\National Instruments\Shared\Firmware\ folder

 

Thank You!

0 Kudos
Message 9 of 13
(3,631 Views)

moped,

 

I verified that what you claimed is true, the latest version for that cRIO seems to be 4.0 (this is what I have on my computer at least). Can you post a screenshot of all of your software you have installed from NI-MAX?

 

CH
Applications Engineering
National Instruments
http://www.ni.com/en-us/support.html
0 Kudos
Message 10 of 13
(3,622 Views)